epp_HostPanData (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.host.epp_HostPanData class

### org.openrtk.idl.epprtk.host

# Class epp_HostPanData

- `org.omg.CORBA.portable.ObjectImpl`
- - `org.openrtk.idl.epprtk.epp_PanData`
  - - `org.openrtk.idl.epprtk.host.epp_HostPanData`

Implemented Interfaces:
  epp_PollResData, epp_PollResDataOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class epp_HostPanData`
`extends epp_PanData`
`implements epp_PollResData`

This class is use exclusively to hold data associate with a Poll response for a pending action notification. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/host/epp_HostPanData.java,v 1.1 2004/12/07 15:27:50 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:50 $

  ## Field Summary
  `String` | `m_name` The name of the host for this pending action notification
  `static String` | `m_type` Constant variable defined by IDLs.

  ### Fields inherited from class org.openrtk.idl.epprtk.epp_PanData
  `m_date`, `m_result`, `m_trid`

  ## Constructor Summary
  `epp_HostPanData()` Empty constructor
  `epp_HostPanData(String _m_name, boolean _m_result, epp_TransID _m_trid, String _m_date)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getName()` Accessor method for the name of the host object in the registry
  `String` | `getType()` Access method for the m_type constant.
  `void` | `setName(String value)` Accessor method for the name of the host object in the registry
  `String` | `toString()` Converts this class into a string.

  ### Methods inherited from class org.openrtk.idl.epprtk.epp_PanData
  `_ids`, `getDate`, `getResult`, `getTrid`, `setDate`, `setResult`, `setTrid`

## Field Details

### m_name

    public String m_name

> The name of the host for this pending action notification

### m_type

    public static final String m_type

> Constant variable defined by IDLs. Used when this classes is used to hold the poll response data pertaining to host pending action notifications. The value of this constant links this class to a set of poll response data.

## Constructor Details

### epp_HostPanData

    public epp_HostPanData()

> Empty constructor

### epp_HostPanData

    public epp_HostPanData(String _m_name,
                           boolean _m_result,
                           epp_TransID _m_trid,
                           String _m_date)

> The constructor with initializing variables.
> Parameters:
>   `_m_name` - The name of the host object in the registry
>   `_m_result` - The boolean result flag for the action: true == successful execution
>   `_m_trid` - The server and client trid pair associated with this pending action
>   `_m_date` - The date the pending action completed (or failed)

## Method Details

### getName

    public String getName()

> Accessor method for the name of the host object in the registry
> Returns:
>   The host name
> See Also:
>   `m_name`

### getType

    public String getType()

> Access method for the m_type constant.
> Specified by:
>   getType in interface epp_PollResDataOperations
> See Also:
>   `m_type`

### setName

    public void setName(String value)

> Accessor method for the name of the host object in the registry
> Parameters:
>   `value` - The host name
> See Also:
>   `m_name`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS